Package org.gradle

## Class BuildAdapter

- java.lang.Object
- - org.gradle.BuildAdapter

- All Implemented Interfaces:
    `BuildListener`

      public class BuildAdapter
      extends java.lang.Object
      implements BuildListener

  A `BuildListener` adapter class for receiving build events. The methods in this class are empty. This class exists as convenience for creating listener objects.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildAdapter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `beforeSettings​(Settings settings)` | Called when the build settings are about to be loaded and evaluated.
    `void` | `buildFinished​(BuildResult result)` | Called when the build is completed.
    `void` | `buildStarted​(Gradle gradle)` | Deprecated.
    `void` | `projectsEvaluated​(Gradle gradle)` | Called when all projects for the build have been evaluated.
    `void` | `projectsLoaded​(Gradle gradle)` | Called when the projects for the build have been created from the settings.
    `void` | `settingsEvaluated​(Settings settings)` | Called when the build settings have been loaded and evaluated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildAdapter

          public BuildAdapter()

  - ### Method Detail

    - #### buildStarted

          @Deprecated
          public void buildStarted​(Gradle gradle)

      Deprecated.
      Description copied from interface: `BuildListener`

      Called when the build is started.

      Specified by:
        `buildStarted` in interface `BuildListener`
      Parameters:
        `gradle` - The build which is being started. Never null.

    - #### beforeSettings

          public void beforeSettings​(Settings settings)

      Description copied from interface: `BuildListener`
      Called when the build settings are about to be loaded and evaluated.
      Specified by:
        `beforeSettings` in interface `BuildListener`
      Parameters:
        `settings` - The settings. Never null.

    - #### settingsEvaluated

          public void settingsEvaluated​(Settings settings)

      Description copied from interface: `BuildListener`

      Called when the build settings have been loaded and evaluated. The settings object is fully configured and is ready to use to load the build projects.

      Specified by:
        `settingsEvaluated` in interface `BuildListener`
      Parameters:
        `settings` - The settings. Never null.

    - #### projectsLoaded

          public void projectsLoaded​(Gradle gradle)

      Description copied from interface: `BuildListener`

      Called when the projects for the build have been created from the settings. None of the projects have been evaluated.

      Specified by:
        `projectsLoaded` in interface `BuildListener`
      Parameters:
        `gradle` - The build which has been loaded. Never null.

    - #### projectsEvaluated

          public void projectsEvaluated​(Gradle gradle)

      Description copied from interface: `BuildListener`

      Called when all projects for the build have been evaluated. The project objects are fully configured and are ready to use to populate the task graph.

      Specified by:
        `projectsEvaluated` in interface `BuildListener`
      Parameters:
        `gradle` - The build which has been evaluated. Never null.

    - #### buildFinished

          public void buildFinished​(BuildResult result)

      Description copied from interface: `BuildListener`

      Called when the build is completed. All selected tasks have been executed.

      Specified by:
        `buildFinished` in interface `BuildListener`
      Parameters:
        `result` - The result of the build. Never null.